/*
 * CP1252.h
 *
 * Copyright (C) 2022 OPTOELECTRONICS CO.,LTD. All rights reserved.
 */

#ifndef __CP1252_H_
#define __CP1252_H_

#include <stdlib.h>
#include <stdbool.h>

//Switch the code page of the system
bool LoadCP1252(void);
bool UnloadCP1252(void);

//String conversion for CP1252
char *CONV_Utf8ToCP1252String(char *src, int length, int *error_code, size_t *output_length);
char *CONV_CP1252ToUtf8String(char *src, int length, int *error_code, size_t *output_length);

//Single code conversion for CP1252
int CONV_CP1252ToUnicode(int code);
char *CONV_UnicodeToCP1252(unsigned short unicode);

#endif /* __CP1252_H_ */
